<?php
require_once 'ControlDB.php';
class ControlArtigo {
	
	public function pegarTodosArtigo() {
		$artigo = new Artigo();
                $artigo->orderBy('fixo, dataartigo desc');
		$artigo->find();
		return $artigo;
	}
        
        public function pegarTodosArtigoporCategoriaid($cid) {
		$artigo = new Artigo();
                $artigo->setArtigotipoid($cid);
                $artigo->orderBy('fixo, dataartigo desc');
		$artigo->find();
		return $artigo;
	}
	
	public function pegarUmArtigo($pk) {
		$artigo = new Artigo();
		$artigo->get($pk);
		return $artigo;
	}
	
	public function salvarArtigo(Artigo  $artigo) {
		$artigo->save();
		return 1;
	}
	
	public function excluirArtigo(Artigo  $artigo) {
            if ($artigo->getBloqueado())
            {
                return 0;
            } else {
                Utilidades::deletarAquivo($artigo->getFoto());
                Utilidades::deletarAquivo($artigo->getFotoq());
                $artigo->setFoto(NULL);
                $artigo->setFotoq(NULL);
		$artigo->delete();
                return 1;
            }
	}
        
        //Artigotipo
        
        public function pegarTodosArtigoTipo() {
		$artigoTipo = new Artigotipo();
		$artigoTipo->find();
		return $artigoTipo;
	}
	
	public function pegarUmArtigotipo($pk) {
		$artigoTipo = new Artigotipo();
		$artigoTipo->get($pk);
		return $artigoTipo;
	}
	
	public function salvarArtigotipo(Artigotipo  $artigoTipo) {
		$artigoTipo->save();
		return 1;
	}
	
	public function excluirArtigotipo(Artigotipo  $artigoTipo) {
			$artigoTipo->delete();
			return 1;
	}
}


?>